import * as $dara from '@darabonba/typescript';
import { CheckCanAllocateVpcPrivateIpAddressResponseBody } from "./CheckCanAllocateVpcPrivateIpAddressResponseBody";
export declare class CheckCanAllocateVpcPrivateIpAddressResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CheckCanAllocateVpcPrivateIpAddressResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
